Assess constraint groups
GET /api/v1/quality/constraint-groups/{groupId}/assessment: request fields and declared response contract.
GET/api/v1/quality/constraint-groups/{groupId}/assessment
| Permission | quality.read |
|---|---|
| Workspace scope | required |
| Scope target | workspace |
Parameters
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| groupId | string | required | non-null | — |
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| revision | integer | optional | non-null | — |
| maximumRunAgeSeconds | integer | optional | non-null | — |
Response
200
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| data | unknown | required | non-null | — |
Declared failures
| QUALITY_CONSTRAINT_GROUP_ASSESS_FAILED | 500 — not retryable |
|---|
Readback
This method returns the current state it read.
- quality.constraintGroups.assess
Request example
Schematic only. Replace placeholders with real values and include all required nested fields.
GET /api/v1/quality/constraint-groups/{groupId}/assessment HTTP/1.1
Authorization: Bearer <token>
x-merulan-workspace-id: <workspace-id>